Host Datastore System Create Nas Datastore

Host Datastore System Create Nas Datastore
Creates a new network-attached storage datastore.

Creates a new network-attached storage datastore.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/CreateNasDatastore
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CreateNasDatastoreRequestType of type(s) application/json
Required

Show optional properties

{
    "spec": {}
}
{
    "spec": {
        "_typeName": "string",
        "remoteHost": "string",
        "remotePath": "string",
        "localPath": "string",
        "accessMode": "string",
        "type": "string",
        "userName": "string",
        "password": "string",
        "remoteHostNames": [
            "string"
        ],
        "securityType": "string",
        "vmknicToBind": "string",
        "vmknicBound": false,
        "connections": 0
    }
}
spec
Required

The specification for creating a network-attached storage volume.

Authentication
This operation uses the following authentication methods.
Responses
200

The newly created datastore.

Returns MoRefDatastore of type(s) application/json
This response body class contains all of the following: MoRefManagedEntity
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

DuplicateName: if a datastore with the same name already exists.

InvalidArgument: if the datastore name is invalid, or the spec is invalid.

NoVirtualNic: if VMkernel TCPIP stack is not configured.

NoGateway: if VMkernel gateway is not configured.

AlreadyExists: if the local path already exists on the host, or the remote path is already mounted on the host.

HostConfigFault: if unable to mount the NAS volume.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"spec":"{}"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/CreateNasDatastore